<?php

namespace Modules\Facture\Rules;

use Psr\Http\Message\ServerRequestInterface;

class ExportMasse
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function exportMasse(): bool
    {
        return $this->main->bulkExportInvoiceAccess();
    }


    /**
     * @return bool
     */
    public function validationExport(): bool
    {
        return true;
    }
}
